Subject: Re: [PATCH 0/2] gitweb: Add support for running gitweb as FastCGI script

From: Jakub Narebski <[email-masked]>
Date: Sun, 9 May 2010 00:41:06 +0200

On Fri, 7 May 2010, Jakub Narebski wrote:

> The alternate solution would be to add gitweb.fcgi wrapper, like e.g.:
> in the following patch by Eric Wong
> 
>   "[PATCH 1/2] gitweb: add a simple wrapper for FCGI support"
>   http://thread.gmane.org/gmane.comp.version-control.git/35920/focus=35921
> 
> which was part of the "[0/2 PATCH] FastCGI and nginx support for gitweb"
> series.  (Note that the patch does 'do $gitweb_cgi;' without checking for
> errors, see the bottom of `perldoc -f do` documentation on how it should
> be done).

I think a better solution here would be to use CGI::Compile instead
of 'do $gitweb_cgi;'.

-- 
Jakub Narebski
Poland